Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Fast Open (Skip All)

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
KentKeller
1937 Views, 3 Replies

Fast Open (Skip All)

Is there any way to set Fast Open as the default?  I am having to open hundreds of files and do nothing more than take a quick look at them and then print them.  Each file I have to make sure it is clicked on in the open dialog (I can't paste in the filename) and then open options and check Fast Open.   Am I missing the setting in App Options somewhere, or is there a registry hack to change it?

 

Thanks

Kent Keller
KWiKMcad

3 REPLIES 3
Message 2 of 4
admaiora
in reply to: KentKeller

I don't think it is possible.

 

But i leave the last word to who know it for sure.

Admaiora
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

_____________________________________________________________________________
Facebook | Twitter | Youtube

Message 3 of 4
ruthsteed
in reply to: KentKeller

Sorry, but unfortunately the setting you want doesn't exist.  It's an interesting idea, though.  Would a sticky option in the options dialog itself fit your purpose?  This would just save the setting until you changed it or exited Inventor.  I think it would be easier to find and use than an application option.

 

In the meantime, though, here is a bit of VBA code that might help.  Paste this VBA code into a module in your default project, then use the Customize command (Tools>Customize) to add a button to the environments you'd want it in (Choose "Macros" in the "Choose commands from" dropdown, then select "FastOpenDrawingCmd" and  add it to one or more tabs).  I'd recommend the "Zero Document|Get Started" and "Drawing|Place Views" since these are the default tabs when no documents are open or when a drawing is opened, but you can add as many (or few) as suit your purposes.  The button added will bring up a file dialog for selecting drawings to open.  Any Inventor drawings selected this way (including multiple selections) will be opened using "Fast Open".

 

'>>> Snip VBA here 

Sub FastOpenDrawingCmd()
    Dim oDlg As FileDialog
    Dim bExpress As Boolean
    ThisApplication.CreateFileDialog oDlg
    oDlg.DialogTitle = "Open Drawings Using FastOpen"
    oDlg.filter = "Inventor Drawings (*.idw)|*.idw"
    oDlg.MultiSelectEnabled = True
    oDlg.ShowOpen
    If oDlg.filename <> "" Then
        Dim filename As String: filename = oDlg.filename
        Dim options As NameValueMap
        Set options = ThisApplication.TransientObjects.CreateNameValueMap
        options.Add "FastOpen", True
        Dim pipe As Integer
        Dim strFile As String
        Do
            pipe = InStr(1, filename, "|")
            If pipe > 0 Then
            strFile = Left(filename, pipe - 1)
                filename = Right(filename, Len(filename) - pipe)
            Else
                strFile = filename
            End If
            ThisApplication.Documents.OpenWithOptions strFile, options
        Loop While pipe > 0
    End If
End Sub

'>>> Snip here

 

Hope this helps,

Ruth Steed

Inventor Development

 



Ruth Steed
Inventor Development Team
Autodesk, Inc.

Message 4 of 4
KentKeller
in reply to: ruthsteed

Thanks Ruth,

Yes a sticky option would work fine, but it seems like it should stay sticky all the time just like Skip all unresolved files does.

Thanks
Kent Keller
KWiKMcad

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report